openapi-response-validator

v7.2.3

Validate a response according to an openapi schema.

MIT
Latest version published 6 days ago
    npm install openapi-response-validator
  
We couldn't find any similar packages Browse all packages

Package Health Score

78 / 100
  • Popularity
    Recognized
  • Maintenance
    Healthy
  • Security
    No known security issues
  • Community
    Sustainable
Make sure the open source you're using is safe to use
Secure my Project

Popularity

Recognized
Weekly Downloads (67,657)
Dependents
15
GitHub Stars
478
Forks
153
Contributors
80

The npm package openapi-response-validator receives a total of 67,657 downloads a week. As such, we scored openapi-response-validator popularity level to be Recognized.

Based on project statistics from the GitHub repository for the npm package openapi-response-validator, we found that it has been starred 478 times, and that 15 other projects in the ecosystem are dependent on it.

Downloads are calculated as moving averages for a period of the last 12 months, excluding weekends and known missing data points.

Security

No known security issues
Powered by Snyk

Security and license risk for significant versions

All Versions

Direct Vulnerabilities

3.7.0
3.8.2
4.0.0
7.0.1
7.2.3
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L

Indirect Vulnerabilities

3.7.0
3.8.2
4.0.0
7.0.1
7.2.3
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L

License Risks

3.7.0
3.8.2
4.0.0
7.0.1
7.2.3
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L
All security vulnerabilities belong to production dependencies of direct and indirect packages.

License
MIT

Security Policy
No

We found a way for you to contribute to the project! Looks like openapi-response-validator is missing a security policy.


You can connect your project's repository to Snyk to stay up to date on security alerts and receive automatic fix pull requests.

We found a way for you to contribute to the project! Looks like openapi-response-validator is missing a security policy.

    # Install the Snyk CLI and test your project
npm i snyk && snyk test openapi-response-validator
Keep your project free of vulnerabilities with Snyk

Maintenance

Healthy
Commit Frequency
Open Issues
57
Merged PR
393
Open PR
0
Last Commit
6 days ago

Further analysis of the maintenance status of openapi-response-validator based on released npm versions cadence, the repository activity, and other data points determined that its maintenance is Healthy.

We found that openapi-response-validator demonstrates a positive version release cadence with at least one new version released in the past 3 months.

As a healthy sign for on-going project maintenance, we found that the GitHub repository had at least 1 pull request or issue interacted with by the community.

Community

Sustainable
Readme.md
No
Contributing.md
No
Code of Conduct
No
Contributors
80
Funding
No

With more than 10 contributors for the openapi-response-validator repository, this is possibly a sign for a growing and inviting community.

We found a way for you to contribute to the project! Looks like openapi-response-validator is missing a Code of Conduct.

How about a good first contribution to this project? It seems that openapi-response-validator is missing a README file.


Embed Package Health Score Badge

package health: 78/100 package health 78/100

Package

Node.js Compatibility
not defined

Age
3 years
Dependencies
2 Direct / 7 Total
Versions
24
Install Size
119 kB
Dist-tags
1
# of Files
8
Maintainers
1
TS Typings
Yes

We detected a total of 7 direct & transitive dependencies for openapi-response-validator. See the full dependency tree of openapi-response-validator

openapi-response-validator has more than a single and default latest tag published for the npm package. This means, there may be other tags available for this package, such as next to indicate future releases, or stable to indicate stable releases.